Summary:	Portable Windows Libary
Name:		pwlib
Version:	1.10.10
Release:	%mkrel 3
License:	GPL
Group:		System/Libraries
URL:		http://www.openh323.org/
Source0:	http://www.ekiga.org/admin/downloads/latest/sources/sources/%{name}-%{version}.tar.xz
Patch0:		pwlib-1.8.0-libname.diff
Patch1:		pwlib-1.8.0-fix-libpt.so-symlink.diff
Patch2:		pwlib-1.9.2-lib64.patch
Patch3:		pwlib-1.10.10-libv4l.patch
Patch4:		pwlib-1.10.10-fix-str-fmt.patch
Patch5:		pwlib-1.10.10-openssl-1.0.patch
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf2.5 
BuildRequires:	bison
BuildRequires:  libexpat1-devel
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	libdc1394_12-devel
BuildRequires:	libraw1394_8-devel
BuildRequires:	libdv-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	SDL-devel
BuildRequires:	sed
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       %{name}-plugins >= %{version}-%{release}
Obsoletes:	libpwlib1

%description
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventeated. Unfortunately this package
contains no GUI code.

%package -n	%{name}-devel
Summary:	Portable Windows Libary development files
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Obsoletes: 	libpwlib1-devel

%description -n	%{name}-devel
Header files and libraries for developing applications that use pwlib.

%package -n	%{name}-plugins
Summary:	Main plugins for pwlib
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-plugins-alsa = %{version}-%{release}
Provides:	%{name}-plugins-oss = %{version}-%{release}
Provides:	%{name}-plugins-v4l = %{version}-%{release}
Provides:	%{name}-plugins-v4l2 = %{version}-%{release}
Provides:       %{name}-plugins-avc = %{version}-%{release}
Provides:       %{name}-plugins-dc = %{version}-%{release}
Obsoletes:	libpwlib1-plugins
Obsoletes:	libpwlib1-plugins-avc
Obsoletes:	libpwlib1-plugins-dc

%description -n	%{name}-plugins
This package contains the oss, alsa, dc, avc, v4l1 and v4l2 plugins for pwlib

%prep

%setup -q

%patch0 -p0 
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p0 





%build
autoconf

%configure2_5x \
    --disable-v4l \
    --enable-v4l2 \
    --enable-plugins

%make OPTCCFLAGS="" RPM_OPT_FLAGS=""

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/ptbuildopts.h
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/ptlib/pluginmgr.h

#fix PWLIBDIR
perl -pi -e 's|(PWLIBDIR.*)=.*|\1= %{_datadir}/pwlib|' %{buildroot}%{_datadir}/pwlib/make/ptbuildopts.mak

#fix doc perms
chmod a+r *.txt

#remove unpackaged files
rm -f %{buildroot}%{_datadir}/pwlib/make/*.{pat,in,lib64,libname,pwlibdir,includesdir}

# fix ptlib-config
install -d %{buildroot}%{_bindir}
ln -snf %{_datadir}/pwlib/make/ptlib-config %{buildroot}%{_bindir}/ptlib-config

# fix strange perms
find %{buildroot} -type d -perm 0700 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0555 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0444 -exec chmod 644 {} \;
find %{buildroot}%{_libdir} -type f -name '*.so*' -exec chmod 755 {} \;

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc *.txt
%attr(0755,root,root) %{_libdir}/lib*.so.*

%files -n %{name}-devel
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/ptlib-config
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/pwlib

%files -n %{name}-plugins
%defattr(-,root,root)
%dir %{_libdir}/pwlib
%dir %{_libdir}/pwlib/devices
%dir %{_libdir}/pwlib/devices/sound
%dir %{_libdir}/pwlib/devices/videoinput
%attr(0755,root,root) %{_libdir}/pwlib/devices/sound/alsa_pwplugin.so
%attr(0755,root,root) %{_libdir}/pwlib/devices/sound/oss_pwplugin.so
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/v4l2_pwplugin.so
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/dc_pwplugin.so

%changelog
* Fri Sep 10 2010 Texstar <texstar at gmail.com> 1.10.10-3pclos2010
- rebuild ldap

* Sat Dec 25 2009 Texstar <texstar at gmail.com> 1.10.10-2pclos2010
- rebuild


